---
import Layout from "../layouts/Layout.astro";
import AreaLayout from "../layouts/AreaLayout.svelte";
import Area from "../components/area/Area.svelte";
import Footer from "../components/Footer.svelte";
import Header from "../components/Header.svelte";
import Navbar from "../components/Navbar.svelte";
import Banner from "../components/Banner.svelte";
import Advantages from "../components/Advantages.svelte";
import About from "../components/About.svelte";
import Contacts from "../components/Contacts.svelte";
import { EArea } from "../enums/EArea";
---

<Layout title="41T">
  <AreaLayout client:load>
    <Header client:load />

    <Banner client:load />

    <Navbar client:load />

    <Advantages client:load />

    <section class="duration-200 p-16 sm:p-20 lg:p-24 xl:p-28 2xl:p-32 grid gap-20 sm:gap-32 lg:gap-40 xl:gap-44 2xl:gap-64">
      <Area area={EArea.ORG} align="right" />
  
      <Area area={EArea.LABS} align="left" />
  
      <Area area={EArea.DEV} align="right" />
  
      <Area area={EArea.DESIGN} align="left" />
  
      <Area area={EArea.SPACE} align="right" />
    </section>

    <About client:load />

    <Contacts client:load />

    <Footer />
  </AreaLayout>
</Layout>
